Description
proposed change is in line 1235 of app/helpers/application_helper.rb

instead:
options.merge!({:ssl => (request && request.ssl?), :default => Setting.gravatar_default})

change to:
options.merge!({:ssl => ((Setting.protocol == 'https') || (request && request.ssl?)), :default => Setting.gravatar_default})

without that when Redmine is behind reverse proxy that do SSL gravatar links are generated as http (when everywhere else is https
as expected after Setting.protocol is changed to 'https’)

Related issues:

Related to Redmine - Defect #9365: Gravatar don't utilize HTTPS Closed 2011-10-03
Related to Redmine - Defect #21855: Gravatar get images over http instead https Closed
History

#1 - 2015-02-03 16:25 - Toshi MARUYAMA
- Related to Defect #9365 Gravatar don't utilize HTTPS added

#2 - 2015-02-03 16:31 - Toshi MARUYAMA

- Status changed from New to Needs feedback
Similar change was refused at #9365.

#3 - 2015-02-03 16:42 - Maciej Lizewski

OK... That is also acceptable solution.

| did not know about it (using http header) and | did not find it when | was looking for solution - maybe resolution of this issue could be only updating
docs to point that out? (somewhere near the description of Settings protocol flag).

BTW - what is the reason for having this "protocol" setting? Does Redmine use it only when generating email messages?

#4 - 2016-02-08 13:57 - Go MAEDA
- Related to Defect #21855: Gravatar get images over http instead https added

#5 - 2016-03-16 01:31 - Go MAEDA
- Status changed from Needs feedback to Closed

This issue have been resolved by #21855 (will be available as of Redmine 3.3.0).
https://www.redmine.org/issues/9365
https://www.redmine.org/issues/21855
http://www.tcpdf.org

